tools-deprecated {tools} | R Documentation

## Deprecated Functions in Package tools

### Description

These functions are provided for compatibility with older versions of R only, and may be defunct as soon as of the next release.

### Usage

    filePathAsAbsolute(x)
    filePathSansExt(x)
    fileTest(op, x, y)
    listFilesWithExts(dir, exts, all.files = FALSE, full.names = TRUE)
    listFilesWithType(dir, type, all.files = FALSE, full.names = TRUE)

### Arguments

`x,y` | character vectors giving file paths.
`op` | a character string specifying the test to be performed. Unary tests (only `x` is used) are `"-f"` (existence and not being a directory) and `"-d"` (existence and directory); binary tests are `"-nt"` (newer than, using the modification dates) and `"-ot"`.
`dir` | a character string with the path name to a directory.
`exts` | a character vector of possible file extensions.
`all.files` | a logical. If `FALSE` (default), only visible files are considered; if `TRUE`, all files are used.
`full.names` | a logical indicating whether the full paths of the files found are returned (default), or just the file names.
`type` | a character string giving the “type” of the files to be listed, as characterized by their extensions. Currently, possible values are `"code"` (R code), `"data"` (data sets), `"demo"` (demos), `"docs"` (R documentation), and `"vignette"` (vignettes).

### See Also

`Deprecated`

[Package tools version 2.0.1 Index]